#ifndef SATELLITECOMPASSDIAL_H
#define SATELLITECOMPASSDIAL_H

#include <QList>
#include <QHash>
#include <QGeoSatelliteInfo>

QTM_USE_NAMESPACE

#include "CompassDial.h"

class SatelliteCompassDialPrivate;

class SatelliteCompassDial : public CompassDial
{
    Q_OBJECT

public:
    explicit     SatelliteCompassDial   (QWidget *parent = 0);
                ~SatelliteCompassDial   ();

public slots:
    void         setSatsInUse           (const QList<QGeoSatelliteInfo> &sats);
    void         setSatsInView          (const QList<QGeoSatelliteInfo> &sats);

protected:
    void         draw                   (QPainter *painter);

private:
    SatelliteCompassDialPrivate *d;
};

#endif // SATELLITECOMPASSDIAL_H
