#ifndef SIGNALGRAPH_H
#define SIGNALGRAPH_H

#include <QList>
#include <QHash>
#include <QGeoSatelliteInfo>

#include "AbstractChart.h"

QTM_USE_NAMESPACE

class SignalGraphPrivate;

class SignalGraph : public AbstractChart
{
    Q_OBJECT

public:
    explicit     SignalGraph    (QWidget *parent = 0);
                ~SignalGraph    ();

public slots:
    void         setSatsInUse   (const QList<QGeoSatelliteInfo> &sats);
    void         setSatsInView  (const QList<QGeoSatelliteInfo> &sats);

protected:
    void         paintEvent     (QPaintEvent *event);

    SignalGraphPrivate *d;
};

#endif // SIGNALGRAPH_H
